#include <iostream>

using namespace std;

int main()
{
    int n,k,res;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    if(k==1)
    {
        int najv=a[0];
        for(int i=1;i<n;i++)
        {
            if(a[i]>najv)
            {
                najv=a[i];
            }
        }
        res=najv;
    }
    else
    {
        for(int i=1;i<k;i++)
        {
            int najv=a[0];
            int brnajv=0;
            for(int i=1;i<n;i++)
            {
                if(a[i]>najv)
                {
                    najv=a[i];
                    brnajv=i;
                }
            }
            int najm=a[0];
            int brnajm=0;
            for(int i=1;i<n;i++)
            {
                if(a[i]<najm && a[i]!=INT_MIN)
                {
                    najm=a[i];
                    brnajm=i;
                }
            }
            a[brnajv]=najv-najm;
            a[brnajm]=INT_MIN;
            if(i==k-1)
            {
                res=a[brnajv];
            }
        }
    }
    cout<<res;
    return 0;
}